//-----------------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------------

#ifndef( MA_Skyfakes_Textures_Temp)
	#declare MA_Skyfakes_Textures_Temp = version;
	#version 3.7;

	//Here we're still inside an If-Block !! (the first #ifndef)

//-----------------------------------------------------------------------------------------------------------------------------
//-----------------------------------------------------------------------------------------------------------------------------


/* ****************************************************************************************************************************

--------------------------------------------------------
MA_Skyfakes_Textures
--------------------------------------------------------
Purpose:		Provide the textures for ma_skyfakes_v1
Author:			Martin Seydler


OT means Object Texture (planets).

Simpler textures are inside the macros.

*/// **************************************************************************************************************************

#ifndef(Colors_Inc_Temp)	#include "colors.inc"		#end






/* ****************************************************************************************************************************

Textures for Moon1

*/// **************************************************************************************************************************


#declare SF_OT_Moon1 = texture {
	pigment {
		#if (0)
			//color rgb <0,1,1>/5
			color rgb <1,1,1>*0.14
		#else
			gradient x turbulence 0.5
			color_map {
				[0.00 color rgb<1,1,1>*0.2 ]
				[0.10 color rgb<1,1,1>*0.8 ]
				[0.28 color rgb<1,1,1>*0.7 ]
				[0.40 color rgb<1,1,1>*0.5 ]
				[1.00 color rgb<1,1,1>*0.2 ]
			}
		#end
	}	
	finish { ambient 0.007 }
}
#declare SF_OT_Moon2 = texture {
	pigment {
		crackle
		turbulence 0.35 scale 0.45
		color_map {
			[0.00 color rgb<1,1,1>*0.85 ]
			[0.18 color rgb<1,1,1>*0.7 ]
			[0.40 color rgb<1,1,1>*0.5 ]
			[1.00 color rgb<1,1,1>*0.2 ]
		}
	}
	finish { ambient 0.007 }
}
#declare SF_OT_Moon3 = texture {
	pigment {
		ripples scale 0.5 turbulence 1.5
		color_map {
			[0.0 color Gray10 ]
			[0.1 color Gray10 ]
			[0.5 color Gray50 ]
			[0.6 color Gray80 ]
			[1.0 color White  ]
		}
	}
	finish { ambient 0.007 }
}



/* ****************************************************************************************************************************

Textures for Horizon1

*/// **************************************************************************************************************************

#declare SF_Horizon1_LandArea = texture {
	pigment {
		agate
		//gradient x
		turbulence 1
		lambda 1.5
		omega .8
		octaves 8
		//scale 1000000
		color_map {
			[0.00 color rgb <.5, .25, .15>]
			[0.33 color rgb <.1, .5, .4>]
			[0.86 color rgb <.6, .3, .1>]
			[1.00 color rgb <.5, .25, .15>]
		}
	}
	//normal { bumps 1 scale 30000000 }
}

	
#declare SF_Horizon1_OceanArea = texture {
	pigment {
		bozo
		turbulence 1.0
		lambda 3
		color_map {
			[0.00, 0.4 color rgb <0, 0, 1> 		color rgb <0, 0, 1>]
			[0.4, 0.6 color rgbf <1, 1, 1, 1>     color rgbf <1, 1, 1, 1>]
			[0.6, 1.00 color rgb <0, 0, 1>		color rgb <0, 0, 1>]
		}
	}
}

#declare SF_Horizon1_CloudArea1 = texture {
	pigment {
		agate
		turbulence 1
		lambda 2
		frequency 2
		color_map {
			[0.0 color rgbf <1, 1, 1, 1>]
			[0.5 color rgbf <1, 1, 1, .35>]
			[1.0 color rgbf <1, 1, 1, 1>]
		}
	}
}


#declare SF_Horizon1_Clouds1 = pigment {
	bozo
	turbulence 1
	color_map {
		[0.0 color White filter 1]
		[0.5 color White]
		[1.0 color White filter 1]
	}
	color_map {
		[0.0 color White filter 1]
		[0.4 color White filter 1]
		[0.5 color White]
		[0.65 color White filter 1]
		[1.0 color White filter 1]
	}
}
#declare SF_Horizon1_Clouds2 = pigment {
	agate
	turbulence 1
	color_map {
		[0.0 color White filter 1]
		[0.4 color White filter 1]
		[0.5 color White]
		[0.6 color White filter 1]
		[1.0 color White filter 1]
	}
}
#declare SF_Horizon1_Clouds3 = pigment {
	marble
	turbulence 1
	color_map {
		[0.0 color White filter 1]
		[0.4 color White filter 1]
		[0.5 color White]
		[0.6 color White filter 1]
		[1.0 color White filter 1]
	}
}

#declare SF_Horizon1_Clouds4 = pigment {
	granite
	turbulence 1
	color_map {
		[0.0 color White filter 1]
		[0.4 color White filter 1]
		[0.5 color White]
		[0.6 color White filter 1]
		[1.0 color White filter 1]
	}
}

#declare SF_Horizon1_CloudArea2 = texture {
	pigment {
		gradient y
		pigment_map {
			[0.00 SF_Horizon1_Clouds1]
			[0.25 SF_Horizon1_Clouds2]
			[0.50 SF_Horizon1_Clouds3]
			[0.75 SF_Horizon1_Clouds4]
			[1.00 SF_Horizon1_Clouds1]
		}
	}
}
#declare SF_Horizon1_CloudArea3 = texture {
	pigment {
		gradient y
		pigment_map {
			[0.00 SF_Horizon1_Clouds1]
			[0.50 SF_Horizon1_Clouds3]
			[1.00 SF_Horizon1_Clouds1]
		}
	}
}





//-----------------------------------------------------------------------------------------------------------------------------
//This is the end of the very first If (that checks if this file was included before)
//Never delete it, or else ...
	#version MA_Skyfakes_Textures_Temp;
#end
//-----------------------------------------------------------------------------------------------------------------------------
